package com.ruoyi.web.work.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.web.work.mapper.NoticeMapper;
import com.ruoyi.web.work.domain.Notice;
import com.ruoyi.web.work.service.INoticeService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;

/**
 * @author 高伟森
 * @date 2024-04-18
 */
@Service
public class NoticeServiceImpl extends ServiceImpl<NoticeMapper, Notice> implements INoticeService {
    @Autowired
    private NoticeMapper noticeMapper;

    @Override
    public List<Notice> selectList(Notice notice) {
        return noticeMapper.selectList(notice);
    }

    @Override
    public List<Notice> selectisEmpty(Notice notice) {
        return noticeMapper.selectisEmpty(notice);
    }

    @Override
    public List<Notice> queryList() {
        return noticeMapper.queryList();
    }
}
